Package com.io7m.cardant.model

# Record Class CALocationID

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CALocationID

Record Components:
  `id` - The ID value

All Implemented Interfaces:
  `CAIdType`, `Comparable<CALocationID>`

public record CALocationID(UUID id) extends Record implements Comparable<CALocationID>, CAIdType
The unique ID of a location.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CALocationID(UUID id)`
  The unique ID of a location.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CALocationID other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `UUID`
  `id()`
  Returns the value of the `id` record component.
  `static CALocationID`
  `of(String id)`
  Construct an ID.
  `static CALocationID`
  `of(UUID id)`
  Construct an ID.
  `static CALocationID`
  `random()`
  Construct an ID using a pseudorandom value.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.cardant.model.CAIdType

  `displayId`

- ## Constructor Details

  - ### CALocationID

    public CALocationID(UUID id)
    The unique ID of a location.
    Parameters:
      `id` - The ID value

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### of

    public static CALocationID of(String id)
    Construct an ID.
    Parameters:
      `id` - The ID value
    Returns:
      An ID

  - ### of

    public static CALocationID of(UUID id)
    Construct an ID.
    Parameters:
      `id` - The ID value
    Returns:
      An ID

  - ### random

    public static CALocationID random()
    Construct an ID using a pseudorandom value.
    Returns:
      An ID

  - ### compareTo

    public int compareTo(CALocationID other)
    Specified by:
      `compareTo` in interface `Comparable<CALocationID>`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public UUID id()
    Returns the value of the `id` record component.
    Specified by:
      `id` in interface `CAIdType`
    Returns:
      the value of the `id` record component